@import '~bootstrap/scss/bootstrap';

.all-posts {
  &__list {
    display: grid;
    padding: 0;
    grid-template-columns: 1fr;
    gap: 16px;

    @include media-breakpoint-up(sm) {
      grid-template-columns: repeat(2, 1fr);
    }

    @include media-breakpoint-up(md) {
      grid-template-columns: repeat(3, 1fr);
    }

    @include media-breakpoint-up(lg) {
      grid-template-columns: repeat(4, 1fr);
    }
  }
}
